//----------------------------------------------------------------------------------------------------------------------
// Errors
//----------------------------------------------------------------------------------------------------------------------

import { errors as StrataErrors } from '@strata-js/strata';

//----------------------------------------------------------------------------------------------------------------------

export const ServiceError = StrataErrors.ServiceError;

//----------------------------------------------------------------------------------------------------------------------

export class ExtendedServiceError extends StrataErrors.ServiceError
{
    public code = 'EXTENDED_SERVICE_ERROR';
}
//----------------------------------------------------------------------------------------------------------------------

export class ExtendedError extends Error
{
    public code = 'EXTENDED_ERROR';
}
//----------------------------------------------------------------------------------------------------------------------

export class ExtendedErrorSafe extends Error
{
    public code = 'EXTENDED_ERROR_SAFE';
    public isSafeMessage = true;
}

//----------------------------------------------------------------------------------------------------------------------
